import { BrowserMultiFormatReader } from "@zxing/library";
import { useEffect, useRef } from "react";
import React from "react";
const BarcodeScanner = (props) => {
    const videoRef = useRef(null);
    const reader = useRef(new BrowserMultiFormatReader());
    useEffect(() => {
        if (!videoRef.current)
            return;
        reader.current.decodeFromConstraints({
            audio: false,
            video: {
                facingMode: "enviroment",
            },
        }, videoRef.current, (result, error) => {
            if (result && props.result != null)
                props.result(result);
            if (error && props.errors != null)
                props.errors(error);
        });
        return () => {
            reader.current.reset();
        };
    }, [videoRef]);
    return (React.createElement("div", null,
        React.createElement("video", { ref: videoRef })));
};
export default BarcodeScanner;
